Create new user

Returns connected_user_id. Allows you to create a new user from source.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "username": "Peter Griffin",
  "email": "[email protected]",
  "source": "firebase",
  "social_id": "320939323",
  "avatar_url": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c2/Peter_Griffin.png/220px-Peter_Griffin.png",
  "connected_user": {"shirt_size": "M"} //optional, for storing additional misc info
}
Query Params
string
required

Pixlee's ACCOUNT PRIVATE API KEY

Body Params
json
Defaults to {"username":"Peter Griffin","email":"[email protected]","source":"firebase","social_id":"320939323","avatar_url":"https://upload.wikimedia.org/wikipedia/en/thumb/c/c2/Peter_Griffin.png/220px-Peter_Griffin.png","connected_user":{"shirt_size":"M"}}

See example code for raw body input. email and source are required. Currently, legal sources include "firebase" and "email". For more, contact us at [email protected].

Headers
string
required

An HMAC-SHA1 signature converted from your payload (documentation: https://developers.pixlee.com/reference/about-the-content-api#authentication)

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json